import { Component } from '@angular/core';

@Component({
  selector: 'app-tab2',
  templateUrl: 'tab2.page.html',
  styleUrls: ['tab2.page.scss']
})

export class Tab2Page {

  items: any[] = [
    { image: 'assets/image1.jpg', likes: 10,comments: 10,article: '克里斯特·布朗特跟许多失眠症患者一样，尝试吃安眠药。安眠药能使她入睡，但是第二天她会感到头昏眼花。于是她停止吃药，整晚辗转反侧， 整整8个小时都躺在床上但睡眠时间超不过4小时。'},
    { image: 'assets/image2.jpg', likes: 20,comments: 20,article: '“在安静沉寂的黑暗中，在失眠和入睡间苦苦挣扎”。一项发表在《行为研究和治疗》有关失眠的研究综述，阐述了全世界睡眠实验中观察到的一个令人不安的事实: 睡眠质量低下不足以使个体认为自己有睡眠障碍…甚至睡眠质量低下都不是导致睡眠障碍的必要条件。'},
    { image: 'assets/image4.jpg', likes: 30,comments: 30,article: '据《睡眠白皮书》统计显示，我国成年人失眠率高达38%，尤其80后、90后反而是“失眠族”的主要群体。更为震惊的是，2016年相关机构研究发现，我国失眠人数占人群的40%，其中有20%的人需要看医生。也就是说，中国超过3亿人都“睡不好觉”。'},
    // 添加更多项目
  ];


  unreadMessages = 3; // Example value, update with actual unread tab3s count
  selectedTab = 'message';

  messages = [
    { avatar: 'avatar_url_2', title: 'User1', content: '早睡早起，精神好好', time: '1分钟前' },
    { avatar: 'avatar_url_2', title: 'User2', content: '失眠好久了，这个管用吗', time: '1分钟前' },
    { avatar: 'avatar_url_2', title: 'User3', content: '晚安世界', time: '1分钟前' },
    // Add more tab3s as needed
  ];

  constructor() { }

  cate: string = "推荐"


  search() {
    // Implement search functionality
  }

  addNewMessage() {
    // Implement adding new tab3 functionality
  }

  selectTab(tab: string) {
    this.selectedTab = tab;
  }
}




