import { Component } from '@angular/core';
import { ToastController } from '@ionic/angular';
import * as Parse from "parse"

@Component({
  selector: 'app-tab1',
  templateUrl: 'tab1.page.html',
  styleUrls: ['tab1.page.scss']
})
export class Tab1Page {


  currentUser: Parse.User | undefined

  constructor(private toastCtrl: ToastController,
  ) { }


  async ngOnInit() {
    this.dePerson = await this.getPersonDate()
  }
  //虚拟角
  dePerson: Array<Parse.Object> = []
  async getPersonDate() {
    let query = new Parse.Query("DePerson");
    query.equalTo("user", Parse.User.current()?.toPointer())
    query.include("user")
    let list = await query.find();
    return list
  }

  goToAllStories() {
    // 在这里添加进入全部故事的逻辑
    console.log('进入全部故事页面');
  }

  users: { avatar: string }[] = [
    { avatar: '用户头像1的URL' },
    { avatar: '用户头像2的URL' },
    { avatar: '用户头像3的URL' },
    // 可以根据需要添加更多用户信息
  ];

}
